# xarray.testing.assert_identical

`xarray.testing.``assert_identical`(a, b)

  Like `xarray.testing.assert_equal()`, but also matches the objects’ names and attributes.

  Raises an AssertionError if two objects are not identical.

  Parameters:

  a : xarray.Dataset, xarray.DataArray or xarray.Variable

  > The first object to compare.

  b : xarray.Dataset, xarray.DataArray or xarray.Variable

  > The second object to compare.

  See also

  `assert_equal`, `assert_allclose`, `Dataset.equals`, `DataArray.equals`